<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Judges extends Model
{
  protected $table = 'judges';
  protected $fillable = [
  'judge_number',
  'created_at',
  'updated_at'
  ];

  protected function casts(): array
  {
      return [
          'created_at' => 'datetime',
          'updated_at' => 'datetime',
      ];
  }

  public function vehicleScores()
  {
      return $this->hasMany(VehicleScores::class, 'judge', 'id');
  }
}
